module PersonalCourse
  class Engine < ::Rails::Engine
   initializer "personal_course" do
		OrbitApp.registration "PersonalCourse",:type=> 'ModuleApp' do
			module_label 'module_name.courses'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"Course", :intro_app_name=>"CourseIntro",:path=>"/plugin/personal_course/profile",:front_path=>"/profile",:admin_path=>"/admin/courses/",:i18n=>'module_name.courses', :module_app_name=>'Course', :analysis => true, :analysis_path => "/admin/courses/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
